# Gst::MessageStateDirty Class Reference

A state dirty message. More...

`#include <message.h>`

Inheritance diagram for Gst::MessageStateDirty:

List of all members.

## Public Member Functions

| MessageStateDirty (GstMessage* castitem)

## Static Public Member Functions

static Glib::RefPtr<Gst::Message> | create (const Glib::RefPtr<Gst::Object>& src)
| Create a state dirty message.

## Detailed Description

A state dirty message.

See create() for more details.

## Constructor& Destructor Documentation

Gst::MessageStateDirty::MessageStateDirty | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Message> Gst::MessageStateDirty::create | ( | const Glib::RefPtr<Gst::Object>& | src | ) | `[static]`

Create a state dirty message.

This message is posted whenever an element changed its state asynchronously and is used internally to update the states of container objects.

Parameters:

  | src | The object originating the message.

Returns:
  The new state dirty message. MT safe.

The documentation for this class was generated from the following file:

- message.h